From: Nathan Phillip Brink <binki@gentoo.org>
Subject: Fix installation of xsnap on gentoo-prefix.

--- a/po/Makefile
+++ b/po/Makefile
@@ -19,7 +19,6 @@
 #       along with this program. If not, see <http://www.gnu.org/licenses/>.
 
 CATALOGS="fr"
-LOCALEDIR=/usr/share/locale
 
 all:
 	for cat in $(CATALOGS) ; do msgfmt -o $$cat.mo -v $$cat.po ; done

--- a/Imakefile
+++ b/Imakefile
@@ -37,9 +37,10 @@
 /* This is the right link order [Steff] */
 LOCAL_LIBRARIES = -lz $(XPMLIB) $(XFTLIB) $(PNGLIB) $(JPEGLIB) $(XLIB)
 
-	DEFINES = -DENABLE_NLS -DXPM -DPNG -DJPG -DPACKAGE=\"xsnap\" -DLOCALEDIR=\"/usr/share/locale\"
+LOCALEDIR = /usr/share/locale
+	DEFINES = -DENABLE_NLS -DXPM -DPNG -DJPG -DPACKAGE=\"xsnap\" -DLOCALEDIR=\"$(LOCALEDIR)\"
 
-#        DEFINES = -DXPM -DPNG -DJPG -DPACKAGE=\"xsnap\" -DLOCALEDIR=\"/usr/share/locale\"
+#        DEFINES = -DXPM -DPNG -DJPG -DPACKAGE=\"xsnap\" -DLOCALEDIR=\"$(LOCALEDIR)\"
 
 ComplexProgramTarget(xsnap)
 
@@ -55,8 +56,8 @@
 install::
 	cp -f xsnap-ocr $(DESTDIR)/$(BINDIR)
 	chmod a+rx $(DESTDIR)/$(BINDIR)/xsnap-ocr
-	cp -f xsnap.1.gz xsnap-ocr.1.gz $(DESTDIR)/usr/share/man/man1
-	cd po ; $(MAKE) install
+	cp -f xsnap.1.gz xsnap-ocr.1.gz $(DESTDIR)/$(MANDIR)
+	cd po ; $(MAKE) LOCALEDIR='$(LOCALEDIR)' install
 
 clean::
 	cd po ; $(MAKE) clean
